Architecting, installing and maintaining your SAS environment

Meltdown and Spectre

Accepted Solution Solved
Reply
User
Posts: 1
Accepted Solution

Meltdown and Spectre

Is SAS vulnerable to the Meltdown and Spectre exploits? Do we need to be running the latest SAS software to be safe processing our code?


Accepted Solutions
Solution
‎01-18-2018 09:10 AM
Super Contributor
Posts: 277

Re: Meltdown and Spectre

Posted in reply to MlwkHlthMllmn

All Replies
Super User
Posts: 3,473

Re: Meltdown and Spectre

Posted in reply to MlwkHlthMllmn
Super User
Posts: 8,589

Re: Meltdown and Spectre

Posted in reply to MlwkHlthMllmn

What's really vulnerable are the system kernels, as they rely on the memory protection of the CPU, which can be undermined by these design flaws. Fixing that will cause a performance decrease overall, as the context switches into the kernel will take longer than previous. That's my crude understanding of the issue.

So the systems need to be patched, and the performance penalty evaluated.

---------------------------------------------------------------------------------------------
Maxims of Maximally Efficient SAS Programmers
Solution
‎01-18-2018 09:10 AM
Super Contributor
Posts: 277

Re: Meltdown and Spectre

Posted in reply to MlwkHlthMllmn
☑ This topic is solved.

Need further help from the community? Please ask a new question.

Discussion stats
  • 3 replies
  • 225 views
  • 6 likes
  • 4 in conversation